| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.OemFile Class Reference

Class for reading OEM files. More...

Inheritance diagram for EECFI.OemFile:

List of all members.

## Public Member Functions
| OemFile ()
| Constructor.
| OemFile (String fileNam)
| Constructor with file name.
void | read () throws CfiError
| Read the whole file data block.
native void | read (OsvListReadConfiguration osvListReadConfig) throws CfiError
| Read the file data block (base method, called by the other methods).
## Public Attributes
String | ccsdsOemVers
| Format version in the form of 'x.y'.
String | commentHeader
| Comments (header section).
String | creationDate
| File creation date and time in UTC.
String | originator
| Creating agency or operator.
String | commentMetadata
| Comments (metadata section).
String | objectName
| The name of the object for which the ephemeris is provided.
String | objectId
| Object identifier of the object for which the ephemeris is provided.
String | centerName
| Origin of reference frame, which may be a natural solar system body (planets, asteroids, comets, and natural satellites), including any planet barycenter or the solar system barycenter, or another spacecraft (in this case the value for CENTER_NAME is subject to the same rules as for OBJECT_NAME).
String | refFrame
| Name of the reference frame in which the ephemeris data are given.
String | refFrameEpoch
| Epoch of reference frame, if not intrinsic to the definition of the reference frame.
String | timeSystem
| Time system used for metadata, ephemeris data, and covariance data.
String | startTime
| Start of TOTAL time span covered by ephemeris data and covariance data immediately following this metadata block.
String | useableStartTime
| Optional start and end of USEABLE time span covered by ephemeris data immediately following this metadata block.
String | useableStopTime
| Optional start and end of USEABLE time span covered by ephemeris data immediately following this metadata block.
String | stopTime
| End of TOTAL time span covered by ephemeris data and covariance data immediately following this metadata block.
String | interpolation
| This keyword may be used to specify the recommended interpolation method for ephemeris data in the immediately following set of ephemeris lines.
String | interpolationDegree
| Recommended interpolation degree for ephemeris data in the immediately following set of ephemeris lines.
Vector< OsvRec > | osvRec
| Ephemeris data lines.

## Detailed Description

Class for reading OEM files.

## Constructor & Destructor Documentation

EECFI.OemFile.OemFile | ( |  | ) |

Constructor.

EECFI.OemFile.OemFile | ( | String | fileNam | ) |

Constructor with file name.

## Member Function Documentation

void EECFI.OemFile::read | ( | OsvListReadConfiguration | osvListReadConfig | ) | throws CfiError

Read the file data block (base method, called by the other methods).

Parameters:

  | osvListReadConfig | Configuration for reading OSV state vectors.

void EECFI.OemFile.read | ( |  | ) | throws CfiError

Read the whole file data block.

## Member Data Documentation

String EECFI.OemFile.ccsdsOemVers

Format version in the form of 'x.y'.

String EECFI.OemFile.centerName

Origin of reference frame, which may be a natural solar system body (planets, asteroids, comets, and natural satellites), including any planet barycenter or the solar system barycenter, or another spacecraft (in this case the value for CENTER_NAME is subject to the same rules as for OBJECT_NAME).

String EECFI.OemFile.commentHeader

Comments (header section).

String EECFI.OemFile.commentMetadata

Comments (metadata section).

String EECFI.OemFile.creationDate

File creation date and time in UTC.

String EECFI.OemFile.interpolation

This keyword may be used to specify the recommended interpolation method for ephemeris data in the immediately following set of ephemeris lines.

String EECFI.OemFile.interpolationDegree

Recommended interpolation degree for ephemeris data in the immediately following set of ephemeris lines.

String EECFI.OemFile.objectId

Object identifier of the object for which the ephemeris is provided.

String EECFI.OemFile.objectName

The name of the object for which the ephemeris is provided.

String EECFI.OemFile.originator

Creating agency or operator.

Vector<OsvRec> EECFI.OemFile.osvRec

Ephemeris data lines.

String EECFI.OemFile.refFrame

Name of the reference frame in which the ephemeris data are given.

String EECFI.OemFile.refFrameEpoch

Epoch of reference frame, if not intrinsic to the definition of the reference frame.

String EECFI.OemFile.startTime

Start of TOTAL time span covered by ephemeris data and covariance data immediately following this metadata block.

String EECFI.OemFile.stopTime

End of TOTAL time span covered by ephemeris data and covariance data immediately following this metadata block.

String EECFI.OemFile.timeSystem

Time system used for metadata, ephemeris data, and covariance data.

String EECFI.OemFile.useableStartTime

Optional start and end of USEABLE time span covered by ephemeris data immediately following this metadata block.

String EECFI.OemFile.useableStopTime

Optional start and end of USEABLE time span covered by ephemeris data immediately following this metadata block.